Vulnerability Name:

CVE-2017-6009

Assigned:2017-02-03
Published:2017-02-03
Updated:2018-01-12
Summary:An issue was discovered in icoutils 0.31.1. A buffer overflow was observed in the "decode_ne_resource_id" function in the "restable.c" source file. This is happening because the "len" parameter for memcpy is not checked for size and thus becomes a negative integer in the process, resulting in a failed memcpy. This affects wrestool.
CVSS v3 Severity:5.5 Medium (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H)
4.8 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): High
5.9 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L)
5.2 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
8.1 High (REDHAT CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:C/C:H/I:H/A:L)
7.1 High (REDHAT Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:R/S:C/C:H/I:H/A:L/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): Required
Scope:Scope (S): Changed
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): Low
CVSS v2 Severity:4.3 Medium (CVSS v2 Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
4.6 Medium (CCN CVSS v2 Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): None
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
Vulnerability Type:CWE-119
CWE-190
CWE-122
References:Source: REDHAT
Type: UNKNOWN
RHSA-2017:0837

Source: DEBIAN
Type: UNKNOWN
DSA-3807

Source: BID
Type: UNKNOWN
96292

Source: MISC
Type: VENDOR_ADVISORY
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=854050

Source: XF
Type: UNKNOWN
icoutils-cve20176009-bo(122147)

Source: GENTOO
Type: UNKNOWN
GLSA-201801-12

Vulnerable Configuration:Configuration 1:
  • cpe:/a:icoutils_project:icoutils:0.31.1:*:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20176009
    V
    CVE-2017-6009
    2018-09-18
    oval:com.redhat.rhsa:def:20170837
    P
    RHSA-2017:0837: icoutils security update (Important)
    2017-03-23
    oval:com.ubuntu.xenial:def:20176009000
    V
    CVE-2017-6009 on Ubuntu 16.04 LTS (xenial) - medium.
    2017-02-16
    oval:com.ubuntu.artful:def:20176009000
    V
    CVE-2017-6009 on Ubuntu 17.10 (artful) - medium.
    2017-02-16
    oval:com.ubuntu.precise:def:20176009000
    V
    CVE-2017-6009 on Ubuntu 12.04 LTS (precise) - medium.
    2017-02-16
    oval:com.ubuntu.bionic:def:20176009000
    V
    CVE-2017-6009 on Ubuntu 18.04 LTS (bionic) - medium.
    2017-02-16
    oval:com.ubuntu.trusty:def:20176009000
    V
    CVE-2017-6009 on Ubuntu 14.04 LTS (trusty) - medium.
    2017-02-16
    BACK
    icoutils_project icoutils 0.31.1